Bug 501393 - (389-dsgw) Review Request: 389-dsgw - 389 Directory Server Gateway
Review Request: 389-dsgw - 389 Directory Server Gateway
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On: 389-adminutil
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 17:31 EDT by Rich Megginson
Modified: 2014-11-10 15:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 12:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2009-05-18 17:31:18 EDT
Spec URL: http://rmeggins.fedorapeople.org/pkgreview/389-dsgw.spec
SRPM URL: http://rmeggins.fedorapeople.org/pkgreview/389-dsgw-1.1.2-3.src.rpm
Description: 389 Directory Server Gateway is a collection of 3 web applications
that run on top of the Administration Server used by the Directory
Server.  

This is a rename of fedora-ds-dsgw to 389-dsgw

Source URL: http://port389.org/sources/389-dsgw-1.1.2.tar.bz2
md5sum 389-dsgw-1.1.2.tar.bz2 
0357fee5f1ab61e7ead345a2c76cd3b6  389-dsgw-1.1.2.tar.bz2
sha1sum 389-dsgw-1.1.2.tar.bz2 
bf86c886da9c256726a8df15310459532da45eeb  389-dsgw-1.1.2.tar.bz2

Compiles cleanly in mock

rpmlint /var/lib/mock/fedora-10-i386/result/*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jochen Schmitt 2009-05-27 14:51:56 EDT
Good:
+ Basename of SPEC files matches with package name
+ Package name fullfill naming guidelines
+ Package contains valid license tag
+ URL tag shows on proper project homepage
+ Could download sources via spectool -g
+ Package sources matches with upstream
(md5sum: 0357fee5f1ab61e7ead345a2c76cd3b6)
+ License tag state GPLv2 as a valid OSS license
+ Consistently usage of rpm macros
+ Package doesn't contains subpacakges
+ Package has proper Provides/Obsoles statement for renaming
+ Proper Buildroot defintion
+ Buildroot will be cleaned on beginning of %clean and %install
+ Package contains SMP-enabled build
+ Local build works fine
+ Build use $RPM_OPT_FLAGS as compiler flags
+ No complaints from rpmlint for source rpm
+ No complaints from rpmlint for binary rpm
+ No complaints from rpmlint for debuginfo rpm
+ Debuginfo contains sources
+ Files has proper file permission
+ %file stanza doesn't contains dupblicated entries
+ All package files are owned by this package
+ Ther are no other package which claims one of the package files
+ %doc stanza is small.
+ Chagelog stanza has proper format


Bad:
- LICENSE file state GPLV2+ as license
- Header files state GPLv2 with exception or GPLv2 as
  license
- Package doesn't contains verbatin copy of the license
- Scratch build fails on koji
  (Please refer to: http://koji.fedoraproject.org/koji/taskinfo?taskID=1380175)
Comment 2 Rich Megginson 2009-05-27 19:48:54 EDT
All of the issues have been addressed.  The code has been relicensed, including all header files, to use GPLv2 (not +).  I did not try to build in koji.  It builds cleanly in mock using -r fedora-10-i386

Spec URL: http://rmeggins.fedorapeople.org/pkgreview/389-dsgw.spec
SRPM URL: http://rmeggins.fedorapeople.org/pkgreview/389-dsgw-1.1.2-3.src.rpm
Source URL: http://port389.org/sources/389-dsgw-1.1.2.tar.bz2
md5sum 389-dsgw-1.1.2.tar.bz2 
0eed1a7a66ce7d77895067e31e064445  389-dsgw-1.1.2.tar.bz2
sha1sum 389-dsgw-1.1.2.tar.bz2 
e2ac8fa22c56754aef6e826a166e4ec75b67ab52  389-dsgw-1.1.2.tar.bz2
Comment 3 Jochen Schmitt 2009-06-01 15:34:03 EDT
Good:
+ License tag says GPLv2 now.

Bad:
- Header files has a reverence of special exceptions on the copyright notes, which are not clarified.
- package doesn't contains a verbatin copy of the license text. The LICENSE files only told anything about the GPL and down't match with the copyright note of the source files, because the LICENSE files allow the use of a later version of the GPL, but the copyright notes on the sources doesn't.

Please calrified the licensing situation of your package.
Comment 4 Rich Megginson 2009-06-01 15:56:01 EDT
Can you please verify the md5sum of the 389-dsgw-1.1.2.tar.bz2 you are looking at? All of those licensing issues have been resolved.  The LICENSE file now contains the full text of the GPLv2.  You should have this file:
md5sum  389-dsgw-1.1.2.tar.bz2 
0eed1a7a66ce7d77895067e31e064445  389-dsgw-1.1.2.tar.bz2
Comment 5 Jochen Schmitt 2009-06-03 12:12:43 EDT
I have got

0357fee5f1ab61e7ead345a2c76cd3b6  389-dsgw-1.1.2.tar.bz2


If you have changed anything in the upstream tar ball, please increase the minor version of it.
Comment 6 Rich Megginson 2009-06-03 12:20:36 EDT
(In reply to comment #5)
> I have got
> 
> 0357fee5f1ab61e7ead345a2c76cd3b6  389-dsgw-1.1.2.tar.bz2

There is a squid cache on port389.org - most likely you are hitting the cache instead of the file on disk.  Try again.

> 
> 
> If you have changed anything in the upstream tar ball, please increase the
> minor version of it.  

I'd rather not, for this case, since there is really no functionality change, and since this is a package rename, it's already distinct from fedora-ds-dsgw-1.1.2.tar.bz2
Comment 7 Jochen Schmitt 2009-06-03 12:29:41 EDT
Soory, the wrong md5sum is from the packaged tar ball which I have downloaded from the fedorapoeple.org place.

Please provide a proper source rpm for review.

And at least: Even if you didn't changed any user visible functionality, increase the version number, because this help us for audit the validation of the package source tar balls agains upstream.
Comment 8 Rich Megginson 2009-06-03 14:33:37 EDT
Version changed to 1.1.3

Spec URL: http://rmeggins.fedorapeople.org/pkgreview/389-dsgw.spec
SRPM URL: http://rmeggins.fedorapeople.org/pkgreview/389-dsgw-1.1.3-1.src.rpm
Source URL: http://port389.org/sources/389-dsgw-1.1.3.tar.bz2
md5sum 389-dsgw-1.1.3.tar.bz2 
cd46daccd82073e859c9531d50057a2c  389-dsgw-1.1.3.tar.bz2
Comment 9 Jochen Schmitt 2009-06-03 14:59:50 EDT
Good:
+ License tag state GPLv2 as described in the package
+ Package contains verbatin copy of the license text
+ Koji scratch build works fine

your package is APPROVED.
Comment 10 Rich Megginson 2009-06-03 15:05:48 EDT
New Package CVS Request
=======================
Package Name: 389-dsgw
Short Description: 389 Directory Server Gateway web apps
Owners: rmeggins nkinder nhosoi
Branches: F-9 F-10 F-11
Comment 11 Jason Tibbitts 2009-06-04 11:39:34 EDT
CVS done.
Comment 12 Rich Megginson 2009-06-04 12:17:14 EDT
cvs import done - all branches

Still waiting on https://fedorahosted.org/fedora-infrastructure/ticket/1425 so that I can tag and build in koji
Comment 13 Rich Megginson 2009-06-17 12:55:35 EDT
tagging issue fixed - built in koji for f12
Comment 14 Michael Stahnke 2009-11-02 23:22:48 EST
New Package CVS Request
=======================
Package Name: 389-dsgw
Short Description: 389 Directory Server Gateway web apps
Owners: stahnma
Branches: stahnma
Comment 15 Kevin Fenzi 2009-11-02 23:43:11 EST
cvs done.
Comment 16 Rich Megginson 2014-11-10 13:59:20 EST
Package Change Request
======================
Package Name: 389-dsgw
New Branches: epel7
Owners: mreynolds nhosoi nkinder rmeggins
Comment 17 Gwyn Ciesla 2014-11-10 15:21:53 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.